Bug 1429813 - Backport Patch 'Allow compatibility shaders with MESA_GL_VERSION_OVERRIDE' into mesa-17.0
Summary: Backport Patch 'Allow compatibility shaders with MESA_GL_VERSION_OVERRIDE' in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mesa
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Dave Airlie
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-07 07:30 UTC by Steffen Froemer
Modified: 2017-08-01 16:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 16:03:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1865 normal SHIPPED_LIVE Moderate: X.org X11 libraries security, bug fix and enhancement update 2017-08-01 17:50:43 UTC

Description Steffen Froemer 2017-03-07 07:30:21 UTC
Description of problem:
My customer will increase usage of low-powered workstations by using skylake or kabylake intel integrated graphics. Most of the applications in manufacturing are using openGL compatibility mode, which is not working with mesa-17.0.

My customer need this patch to start this project as soon as possible.

Intel has provided a patch [1], which needs to be included in mesa-release of RHEL-7.4

Version-Release number of selected component (if applicable):
17.0


Patch, which needs to be included:
https://cgit.freedesktop.org/mesa/mesa/commit/?id=d7a0486a9e4e71d98c694872815909b8f8c0d3ac

Comment 3 Dave Airlie 2017-03-07 19:50:24 UTC
Hi Steffen,

this patch doesn't implement compatability mode, so if their shaders are doing something that requires compat then it might not actually work.

But otherwise I'm fine with backporting this.

Dave.

Comment 4 Steffen Froemer 2017-03-09 15:57:40 UTC
Hi Dave, for passing the current requirement by the customer, it's fine to only have this patch included. 
For sure, it could be possible to need more improvements in the future, but these things are done with Intel directly.
For the first time, it's enough to have the ability to get the benchmark-application by the customer running out of the box. This is the base requirement for further projects.

Thanks for including this patch.
Steffen

Comment 7 errata-xmlrpc 2017-08-01 16:03:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1865


Note You need to log in before you can comment on or make changes to this bug.